begin

;*********************************************************
; Please specify the used script by setting it to 1:
;********************************************************* 
  
   cross_sections = 0
   profiles       = 0
   timeseries     = 0
   spectra        = 0
   
;*********************************************************

   ;******************************************************
   ; parameters used by CROSS_SECTIONS
   ;******************************************************
   
   if (cross_sections .EQ. 1)then
   
      ;***************************************************
      ; REQUIRED --file_1-- INPUT FILE
      ;
      ; input file produced by PALM; please declare path and name
      ;
      ; data type: string
      ;
      ; default:   "File in" 
      ;***************************************************
      if(.not. isvar("file_1"))then
      
      
         file_1 = "File in" 
	 
       
      end if
      ;***************************************************
      ; REQUIRED --xyc, xzc, yzc-- SECTION of XY or XZ or YZ
      ;
      ; desired section has to be set to 1; e.g.: xyc=1, xzc=0 and yzc=0 for xy-section
      ;
      ; data type: integer
      ;
      ; default:   0
      ;***************************************************
      if(.not. isvar("xyc"))then      
       
         xyc = 0
	
      end if
      if (.not. isvar("xzc"))then
      
	 xzc = 0
	
      end if
      if (.not. isvar("yzc"))then
      
	 yzc = 0
	 	 
      end if	 	 
      ;***************************************************
      ; OPTIONAL --format_out-- OUTPUT FORMAT
      ;
      ; supported file formats: x11, pdf, ps, eps, epsi or ncgm 
      ;
      ; data type: string
      ;
      ; default:   "x11" 
      ;***************************************************
      if(.not. isvar("format_out"))then	 
      
      
         format_out = "x11"
	 
	 
      end if 
      ;***************************************************
      ; OPTIONAL --file_out-- OUTPUT FILE
      ;
      ; please declare path and name 
      ;
      ; data type: string
      ;
      ; default:   "~/test" 
      ;***************************************************
      if(.not. isvar("file_out"))then	 
      
      
         file_out = "~/test_cs"
	 
	 
      end if	 
      ;***************************************************
      ; OPTIONAL --no_columns-- NUMBER OF ROWS
      ;
      ; number of plots in one row 
      ;
      ; data type: integer
      ;
      ; default:   1
      ;***************************************************
      if(.not. isvar("no_columns"))then	 
      
      
         no_columns = 1
	 
	 
      end if	 
      ;***************************************************
      ; OPTIONAL --no_lines-- NUMBER OF COLUMNS
      ;
      ; number of plots in one column 
      ;
      ; data type: integer
      ;
      ; default:   2 
      ;***************************************************
      if(.not. isvar("no_lines"))then	 
      
      
         no_lines = 2
	 
	 
      end if	 
      ;***************************************************
      ; OPTIONAL --sort-- TYPE OF SORTING 
      ;
      ; sequence of plots; sorting either by time step [="time"] or by layer/height [="layer"]
      ;
      ; data type: string
      ;
      ; default:   "layer" 
      ;***************************************************
      if(.not. isvar("sort"))then	 
      
      
         sort = "layer"
	 
	 
      end if	 
      ;***************************************************
      ; OPTIONAL --var-- OUTPUT VARIABLES
      ;
      ; names of output variables; please inidcate them with one comma before and after each variable;
      ; e.g.: var=",u,v,w," (the windcomponents u, v and w will be plotted)
      ;
      ; data type: string 
      ;
      ; default:   "all" (all available variables will be plotted)
      ;***************************************************
      if(.not. isvar("var"))then
      
      	 
         var = "all"
	 
	 
      end if	 
      ;***************************************************
      ; OPTIONAL --start_time_step-- FIRST TIME STEP
      ;
      ; first time step of plot; you don't have to specify a precise time value from the input file,
      ; it will be rounded to the next existent time step
      ;
      ; data type: double; dimension: [hour]
      ;
      ; default:   -1.d (first available time step)
      ;***************************************************
      if(.not. isvar("start_time_step"))then
      
      	 
         start_time_step = -1.d
	 
	 
      end if	 
      ;***************************************************
      ; OPTIONAL --end_time_step-- LAST TIME STEP
      ;
      ; last time step of plot; you don't have to specify a precise time value from the input file,
      ; it will be rounded to the next existent time step
      ;
      ; data type: double; dimension: [hour]
      ;
      ; default:   -1.d (last available time step)
      ;***************************************************
      if(.not. isvar("end_time_step"))then	 
      
      
         end_time_step = -1.d
	 
	 
      end if	 
      ;***************************************************
      ; OPTIONAL --xs-- MINIMUM X-AXIS 
      ;
      ; value for minimum of x-axis, selectable if there are NO preseted layers for x (as for XY or XZ 2D-DATA);
      ; you don't have to specify a precise meter value from the input file, it will be rounded to the next 
      ; existent value
      ;
      ; data type: double; dimension: [meter]
      ;
      ; default:   -1.d (minimum of range)
      ;***************************************************
      if(.not. isvar("xs"))then      
      
      
         xs = -1.d
	 
	 
      end if	 
      ;***************************************************
      ; OPTIONAL --xe-- MAXIMUM X-AXIS 
      ;
      ; value for maximum of x-axis, selectable if there are NO preseted layers for x (as for XY or XZ 2D-DATA);
      ; you don't have to specify a precise meter value from the input file, it will be rounded to the next 
      ; existent value
      ;
      ; data type: double; dimension: [meter] 
      ;
      ; default:   -1.d (maximum of range)
      ;***************************************************
      if(.not. isvar("xe"))then      
      
      
         xe = -1.d
	 
	 
      end if	 
      ;***************************************************
      ; OPTIONAL --ys-- MINIMUM Y-AXIS 
      ;
      ; value for minimum of y-axis, selectable if there are NO preseted layers for y (as for XY or YZ 2D-DATA);
      ; you don't have to specify a precise meter value from the input file, it will be rounded to the next 
      ; existent value
      ;
      ; data type: double; dimension: [meter]
      ;
      ; default:   -1.d (minimum of range)
      ;***************************************************
      if(.not. isvar("ys"))then      
      
      
         ys = -1.d
	 
	 
      end if	 
      ;***************************************************
      ; OPTIONAL --ye-- MAXIMUM Y-AXIS 
      ;
      ; value for maximum of y-axis, selectable if there are NO preseted layers for y (as for XY or YZ 2D-DATA);
      ; you don't have to specify a precise meter value from the input file, it will be rounded to the next 
      ; existent value 
      ;
      ; data type: double; dimension: [meter]
      ;
      ; default:   -1.d (maximum of range)
      ;***************************************************
      if(.not. isvar("ye"))then   
      
         
         ye = -1.d
	 
	 
      end if	 
      ;***************************************************
      ; OPTIONAL --zs-- MINIMUM Z-AXIS 
      ;
      ; value for minimum of z-axis, selectable if there are NO preseted layers for z (as for XZ or YZ 2D-DATA);
      ; you don't have to specify a precise meter value from the input file, it will be rounded to the next 
      ; existent value 
      ;
      ; data type: integer
      ;
      ; default:   -1 (minimum of range)
      ;***************************************************
      if(.not. isvar("zs"))then      
      
      
         zs = -1
	 
	 
      end if	 
      ;***************************************************
      ; OPTIONAL --ze-- MAXIMUM Z-AXIS 
      ;
      ; value for maximum of z-axis, selectable if there are NO preseted layers for z (as for XZ or YZ 2D-DATA);
      ; you don't have to specify a precise meter value from the input file, it will be rounded to the next 
      ; existent value 
      ;
      ; data type: integer
      ;
      ; default:   -1 (maximum of range)
      ;***************************************************
      if(.not. isvar("ze"))then
      
            
         ze = -1
	 
	 
      end if	 
      ;***************************************************
      ; OPTIONAL --mode-- TYPE OF PLOT 
      ;
      ; isoline plots [="Line"], contour plots [="Fill"] or both [="Both"] can be choosen 
      ;
      ; data type: string
      ;
      ; default:   "Fill" 
      ;***************************************************
      if(.not. isvar("mode"))then	 
      
      
         mode = "Fill"
	 
	 
      end if	 
      ;***************************************************
      ; OPTIONAL --fill_mode-- TYPE OF FILLING 
      ;
      ; area fill [="AreaFill"], raster fill [="RasterFill"] or cell fill [="CellFill"] can be choosen 
      ;
      ; data type: string
      ;
      ; default:   "AreaFill" 
      ;***************************************************
      if(.not. isvar("fill_mode"))then	 
      
      
         fill_mode = "AreaFill"
	 
	 
      end if	 
      ;***************************************************
      ; OPTIONAL --shape-- ASPECT RATIO 
      ;
      ; aspect ratio of axis is kept [=1] or  not[=0]
      ;
      ; data type: integer
      ;
      ; default:   1 
      ;***************************************************
      if(.not. isvar("shape"))then
      
      	 
         shape = 1
	 
	 
      end if	 
      ;***************************************************
      ; OPTIONAL --vector-- VECTOR PLOT 
      ;
      ; a vector plot for one defined vector will be switched on [=1] or off [=0]
      ;
      ; data type: integer
      ;
      ; default:   0 
      ;***************************************************
      if(.not. isvar("vector"))then
      
      	 
         vector = 0
	 
	 
      end if	 
      ;***************************************************
      ; REQUIRED IF vector=1 --vec1, vec2-- VECTOR FOR VECTOR PLOT 
      ;
      ; variables for the vector, vec1 hast to be set to component 1 and vec2 to component 2;
      ; please inidcate them with one comma before and after each variable;
      ; e.g.: vec1=",u," and vec2=",v," for plotting the horizontal windvector
      ;
      ; data type: string
      ;
      ; default:   vec1 = "component1", vec2 = "component2" 
      ;***************************************************
      if(.not. isvar("vec1"))then     
      	 
         vec1 = "component1"
	 
      end if
      if (.not. isvar("vec2"))then 
      
	 vec2 = "component2"	 
	 
      end if	 
      ;***************************************************
      ; OPTIONAL --plotvec-- VARIABLE FOR EXTRA VECTOR PLOT
      ;
      ; the vector plot can be combined with other variables; if desired inidcate the variables 
      ; with one comma before and after it; e.g. plotvec=",u,v,w," (the vector plot 
      ; will combined with the contour plots of u, v and w)
      ;
      ; data type: string
      ;
      ; default:   plotvec (no combining, the vector plot will be created seperately) 
      ;***************************************************
      if(.not. isvar("plotvec"))then
      
      	 
         plotvec = "plotvec"
	 
	 
      end if	 
      ;***************************************************
      ; OPTIONAL --ref_mag-- REFERENCE VECTOR 
      ;
      ; length of the reference vector in a vector plot
      ;
      ; data type: float
      ;
      ; default:   0.05 
      ;***************************************************
      if(.not. isvar("ref_mag"))then
      
      	 
         ref_mag = 0.05 
	 
	 
      end if      	 
      ;***************************************************
     
   end if 

   ;******************************************************
   ; parameters used by PROFILES
   ;******************************************************
   
   if (profiles .EQ. 1)then
   
      ;***************************************************
      ; REQUIRED --file_1-- INPUT FILE
      ;
      ; input file produced by PALM; please declare path and name
      ;
      ; data type: string
      ;
      ; default:   "File in" 
      ;***************************************************
      if (.not. isvar("file_1"))then
      
      
         file_1 = "File in"
	 
	 
      end if
      ;***************************************************
      ; REQUIRED --prof3d-- 3D OR PROFILE DATA 
      ;
      ; must be switched on [=1] if 3D data are used or switched off [=0] if profile data are used for profiles
      ;
      ; data type: integer
      ;
      ; default:   -1 
      ;***************************************************
      if (.not. isvar("prof3d"))then  
      
          
         prof3d = -1
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --format_out-- OUTPUT FORMAT
      ;
      ; supported file formats: x11, pdf, ps, eps, epsi or ncgm 
      ;
      ; data type: string
      ;
      ; default:   "x11" 
      ;***************************************************
      if (.not. isvar("format_out"))then	 
      
      
         format_out = "x11"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --file_out-- OUTPUT FILE
      ;
      ; please declare path and name 
      ;
      ; data type: string
      ;
      ; default:   "~/test" 
      ;***************************************************
      if (.not. isvar("file_out"))then	
      
       
         file_out = "~/test_pr"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --no_columns-- NUMBER OF ROWS
      ;
      ; number of plots in one row 
      ;
      ; data type: integer
      ;
      ; default:   1
      ;***************************************************
      if (.not. isvar("no_columns"))then	 
      
      
         no_columns = 1
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --no_lines-- NUMBER OF COLUMNS
      ;
      ; number of plots in one column 
      ;
      ; data type: integer
      ;
      ; default:   2 
      ;***************************************************
      if (.not. isvar("no_lines"))then	
      
       
         no_lines = 2
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --var-- OUTPUT VARIABLES
      ;
      ; names of output variables; please inidcate them with one comma before and after each variable;
      ; e.g.: var=",u,v,w," (the windcomponents u, v and w will be plotted)
      ;
      ; data type: string 
      ;
      ; default:   "all" (all available variables will be plotted)
      ;***************************************************
      if (.not. isvar("var"))then
      
      	 
         var = "all"
	 
	 
      end if    
      ;***************************************************
      ; OPTIONAL ---no_files-- NUMBER OF INPUT FILES
      ;
      ; up to 12 input files can be used; all input files must contain the same variables and dimensionalties;
      ; identical variables will be merged in one plot;
      ; combining or overlaying of any variables is not feasible;
      ; an extra legend (besides the time step legend) will be drawn where you can explicitily name the items
      ;
      ; data type: integer
      ;
      ; default:   1 
      ;***************************************************
      if (.not. isvar("no_files"))then
      
      	 
         no_files = 1
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --name_legend_1-- 1st LEGEND ITEM
      ;
      ; if no_files > 1: name of 1st item in extra legend
      ;
      ; data type: string
      ;
      ; default:   "File 1" 
      ;***************************************************
      if (.not. isvar("name_legend_1"))then 
      
           
         name_legend_1 = "File 1"
	 
	 
      end if 	 
      ;***************************************************
      ; REQUIRED IF no_files > 1 --file_2-- 2nd INPUT FILE
      ;
      ; 2nd input file produced by PALM; please declare path and name
      ;
      ; data type: string
      ;
      ; default:   "File in" 
      ;***************************************************
      if (.not. isvar("file_2"))then  
      
          
         file_2 = "File in"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --name_legend_2-- 2nd LEGEND ITEM
      ;
      ; if no_files > 1: name of 2nd item in extra legend
      ;
      ; data type: string
      ;
      ; default:   "File 2" 
      ;***************************************************
      if (.not. isvar("name_legend_2"))then   
      
         
         name_legend_2 = "File 2"
	 
	 
      end if 	 
      ;***************************************************
      ; REQUIRED IF no_files > 2 --file_3-- 3rd INPUT FILE
      ;
      ; 3rd input file produced by PALM; please declare path and name
      ;
      ; data type: string
      ;
      ; default:   "File in" 
      ;***************************************************
      if (.not. isvar("file_3"))then    
      
        
         file_3 = "File in"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --name_legend_3-- 3rd LEGEND ITEM
      ;
      ; if no_files > 2: name of 3rd item in extra legend
      ;
      ; data type: string
      ;
      ; default:   "File 3" 
      ;***************************************************
      if (.not. isvar("name_legend_3"))then 
      
           
         name_legend_3 = "File 3"
	 
	 
      end if 	 
      ;***************************************************
      ; REQUIRED IF no_files > 3 --file_4-- 4th INPUT FILE
      ;
      ; 4th input file produced by PALM; please declare path and name
      ;
      ; data type: string
      ;
      ; default:   "File in" 
      ;***************************************************
      if (.not. isvar("file_4"))then
      
            
         file_4 = "File in"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --name_legend_4-- 4th LEGEND ITEM
      ;
      ; if no_files > 3: name of 4th item in extra legend
      ;
      ; data type: string
      ;
      ; default:   "File 4" 
      ;***************************************************
      if (.not. isvar("name_legend_4"))then    
      
        
         name_legend_4 = "File 4"
	 
	 
      end if 	 
      ;***************************************************
      ; REQUIRED IF no_files > 4 --file_5-- 5th INPUT FILE
      ;
      ; 5th input file produced by PALM; please declare path and name
      ;
      ; data type: string
      ;
      ; default:   "File in" 
      ;***************************************************
      if (.not. isvar("file_5"))then 
      
           
         file_5 = "File in"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --name_legend_5-- 5th LEGEND ITEM
      ;
      ; if no_files > 4: name of 5th item in extra legend
      ;
      ; data type: string
      ;
      ; default:   "File 5" 
      ;***************************************************
      if (.not. isvar("name_legend_5"))then 
      
           
         name_legend_5 = "File 5"
	 
	 
      end if 	 
      ;***************************************************
      ; REQUIRED IF no_files > 5 --file_6-- 6th INPUT FILE
      ;
      ; 6th input file produced by PALM; please declare path and name
      ;
      ; data type: string
      ;
      ; default:   "File in" 
      ;***************************************************
      if (.not. isvar("file_6"))then   
      
         
         file_6 = "File in"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --name_legend_6-- 6th LEGEND ITEM
      ;
      ; if no_files > 5: name of 6th item in extra legend
      ;
      ; data type: string
      ;
      ; default:   "File 6" 
      ;***************************************************
      if (.not. isvar("name_legend_6"))then 
      
           
         name_legend_6 = "File 6"
	 
	 
      end if 	 
      ;***************************************************
      ; REQUIRED IF no_files > 6 --file_7-- 7th INPUT FILE
      ;
      ; 7th input file produced by PALM; please declare path and name
      ;
      ; data type: string
      ;
      ; default:   "File in" 
      ;***************************************************
      if (.not. isvar("file_7"))then 
      
           
         file_7 = "File in"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --name_legend_7-- 7th LEGEND ITEM
      ;
      ; if no_files > 6: name of 7th item in extra legend
      ;
      ; data type: string
      ;
      ; default:   "File 7" 
      ;***************************************************
      if (.not. isvar("name_legend_7"))then 
      
           
         name_legend_7 = "File 7"
	 
	 
      end if 	 
      ;***************************************************
      ; REQUIRED IF no_files > 7 --file_8-- 8th INPUT FILE
      ;
      ; 8th input file produced by PALM; please declare path and name
      ;
      ; data type: string
      ;
      ; default:   "File in" 
      ;***************************************************
      if (.not. isvar("file_8"))then 
      
           
         file_8 = "File in"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --name_legend_8-- 8th LEGEND ITEM
      ;
      ; if no_files > 1: name of 8th item in extra legend
      ;
      ; data type: string
      ;
      ; default:   "File 8" 
      ;***************************************************
      if (.not. isvar("name_legend_8"))then   
      
         
         name_legend_8 = "File 8"
	 
	 
      end if 	 
      ;***************************************************
      ; REQUIRED IF no_files > 8 --file_9-- 9th INPUT FILE
      ;
      ; 9th input file produced by PALM; please declare path and name
      ;
      ; data type: string
      ;
      ; default:   "File in" 
      ;***************************************************
      if (.not. isvar("file_9"))then
      
            
         file_9 = "File in"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --name_legend_9-- 9th LEGEND ITEM
      ;
      ; if no_files > 8: name of 9th item in extra legend
      ;
      ; data type: string
      ;
      ; default:   "File 9" 
      ;***************************************************
      if (.not. isvar("name_legend_9"))then 
      
           
         name_legend_9 = "File 9"
	 
	 
      end if 	 
      ;***************************************************
      ; REQUIRED IF no_files > 9 --file_10-- 10th INPUT FILE
      ;
      ; 10th input file produced by PALM; please declare path and name
      ;
      ; data type: string
      ;
      ; default:   "File in" 
      ;***************************************************
      if (.not. isvar("file_10"))then
      
            
         file_10 = "File in"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --name_legend_10-- 10th LEGEND ITEM
      ;
      ; if no_files > 9: name of 10th item in extra legend
      ;
      ; data type: string
      ;
      ; default:   "File 10" 
      ;***************************************************
      if (.not. isvar("name_legend_10"))then  
      
          
         name_legend_10 = "File 10"
	 
	 
      end if 	 
      ;***************************************************
      ; REQUIRED IF no_files > 10 --file_11-- 11th INPUT FILE
      ;
      ; 11th input file produced by PALM; please declare path and name
      ;
      ; data type: string
      ;
      ; default:   "File in" 
      ;***************************************************
      if (.not. isvar("file_11"))then 
      
           
         file_11 = "File in"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --name_legend_11-- 11th LEGEND ITEM
      ;
      ; if no_files > 1: name of 11th item in extra legend
      ;
      ; data type: string
      ;
      ; default:   "File 11" 
      ;***************************************************
      if (.not. isvar("name_legend_11"))then 
      
           
         name_legend_11 = "File 11"
	 
	 
      end if 	 
      ;***************************************************
      ; REQUIRED IF no_files > 11 --file_12-- 12th INPUT FILE
      ;
      ; 12th input file produced by PALM; please declare path and name
      ;
      ; data type: string
      ;
      ; default:   "File in" 
      ;***************************************************
      if (.not. isvar("file_12"))then 
      
           
         file_12 = "File in"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --name_legend_12-- 12th LEGEND ITEM
      ;
      ; if no_files > 11: name of 12th item in extra legend
      ;
      ; data type: string
      ;
      ; default:   "File 12" 
      ;***************************************************
      if (.not. isvar("name_legend_12"))then 
      
           
         name_legend_12 = "File 12"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --start_time_step-- FIRST TIME STEP
      ;
      ; first time step of plot; you don't have to specify a precise time value from the input file,
      ; it will be rounded to the next existent time step
      ;
      ; data type: double; dimension: [hour]
      ;
      ; default:   -1.d (first available time step)
      ;***************************************************
      if (.not. isvar("start_time_step"))then	
      
       
         start_time_step = -1.d
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --end_time_step-- LAST TIME STEP
      ;
      ; last time step of plot; you don't have to specify a precise time value from the input file,
      ; it will be rounded to the next existent time step
      ;
      ; data type: double; dimension: [hour]
      ;
      ; default:   -1.d (last available time step)
      ;***************************************************
      if (.not. isvar("end_time_step"))then
      
      	 
         end_time_step = -1.d      
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --xs-- MINIMUM X-AXIS 
      ;
      ; value for minimum of x-axis
      ;
      ; data type: float; dimension of variable
      ;
      ; default:   -1. (minimum of range)
      ;***************************************************
      if (.not. isvar("xs"))then   
      
         
         xs = -1.
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --xe-- MAXIMUM X-AXIS 
      ;
      ; value for maximum of x-axis
      ;
      ; data type: float; dimension of variable
      ;
      ; default:   -1. (maximum of range)
      ;***************************************************
      if (.not. isvar("xe"))then  
      
          
         xe = -1.
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --min_z-- MINIMUM Z-AXIS 
      ;
      ; value for minimum height of z-axis
      ;
      ; data type: double; dimension: [meter]
      ;
      ; default:   -1.d (related to the minimum of z-axis in input file)
      ;***************************************************
      if (.not. isvar("min_z"))then   
      
         
         min_z = -1.d
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --max_z-- MAXIMUM Z-AXIS 
      ;
      ; value for maximum height of z-axis
      ;
      ; data type: double; dimension: [meter]
      ;
      ; default:   -1.d (related to the maximum of z-axis in input file)
      ;***************************************************
      if (.not. isvar("max_z"))then   
      
         
         max_z = -1.d
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --logy-- LOGARITHMIC SCALE 
      ;
      ; logarithmic scale for y-axis will be switched on [=1] or off [=0]
      ;
      ; data type: integer
      ;
      ; default:   0
      ;***************************************************
      if (.not. isvar("logy"))then 
      
           
         logy = 0
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --norm-- NORMALISE Y-AXIS 
      ;
      ; value for normalising the y-axis
      ;
      ; data type: float
      ;
      ; default:   1 (no normalising)
      ;***************************************************
      if (.not. isvar("norm"))then 
      
           
         norm = 1
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --over-- OVERLAYING
      ;
      ; predefined overlaying of standard variables will be switched on [=1] or off [=0];
      ; this feature cannot be used with statistic regions
      ;
      ; data type: integer
      ;
      ; default:   0 
      ;***************************************************
      if (.not. isvar("over"))then
      
      	 
         over = 0
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --combine-- COMBINING 
      ;
      ; combining of two or three individual variables is possible and switched on [=1] or off[=0]
      ;
      ; data type: integer
      ;
      ; default:   0
      ;***************************************************
      if (.not. isvar("combine"))then  
      
          
         combine = 0
	 
	 
      end if 	 
      ;***************************************************
      ; REQUIRED IF combine=1 --number_comb-- NUMBER FOR COMBINING 
      ;
      ; number of variables for combining; 2 or 3 is valid 
      ;
      ; data type: integer
      ;
      ; default:   -1
      ;***************************************************
      if (.not. isvar("number_comb"))then 
      
           
         number_comb = -1
	 
	 
      end if 	 
      ;***************************************************
      ; REQUIRED IF combine=1 --c_var-- VARIABLES FOR COMBINING 
      ;
      ; names of variables; please inidcate them with one comma before and after each variable;
      ; e.g.: var=",u,v,w," (the windcomponents u, v and w will be combined)
      ;
      ; data type: string
      ;
      ; default:   "c_variables"
      ;***************************************************
      if (.not. isvar("c_var"))then 
      
           
         c_var = "c_variables"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --black-- BLACK OR COLOR LINES
      ;
      ; colored [=0] or black and white [=1] plots
      ;
      ; data type: integer
      ;
      ; default:   0
      ;***************************************************
      if (.not. isvar("black"))then 
      
           
         black = 0
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --dash-- DASHED LINES 
      ;
      ; use of different line patterns [=1] or continous lines [=0] for different time steps
      ;
      ; data type: integer
      ;
      ; default:   0
      ;***************************************************
      if (.not. isvar("dash"))then     
      
       
         dash = 0      
	 
	 
      end if 	 
      ;***************************************************
       
   end if
   
   ;******************************************************
   ; parameters used by SPECTRA
   ;******************************************************
   
   if (spectra .EQ. 1) then
   
      ;***************************************************
      ; REQUIRED --file_1-- INPUT FILE
      ;
      ; input file produced by PALM; please declare path and name
      ;
      ; data type: string
      ;
      ; default:   "File in" 
      ;***************************************************
      if (.not. isvar("file_1"))then  
      
          
         file_1 = "File in"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --format_out-- OUTPUT FORMAT
      ;
      ; supported file formats: x11, pdf, ps, eps, epsi or ncgm 
      ;
      ; data type: string
      ;
      ; default:   "x11" 
      ;***************************************************
      if (.not. isvar("format_out"))then	
      
       
         format_out = "x11"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --file_out-- OUTPUT FILE
      ;
      ; please declare path and name 
      ;
      ; data type: string
      ;
      ; default:   "~/test" 
      ;***************************************************
      if (.not. isvar("file_out"))then	
      
       
         file_out = "~/test_sp"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --no_columns-- NUMBER OF ROWS
      ;
      ; number of plots in one row 
      ;
      ; data type: integer
      ;
      ; default:   1
      ;***************************************************
      if (.not. isvar("no_columns"))then	 
      
      
         no_columns = 1
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --no_lines-- NUMBER OF COLUMNS
      ;
      ; number of plots in one column 
      ;
      ; data type: integer
      ;
      ; default:   2 
      ;***************************************************
      if (.not. isvar("no_lines"))then
      
      	 
         no_lines = 2
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --var-- OUTPUT VARIABLES
      ;
      ; names of output variables; please inidcate them with one comma before and after each variable;
      ; e.g.: var=",u,v,w," (the windcomponents u, v and w will be plotted)
      ;
      ; data type: string 
      ;
      ; default:   "all" (all available variables will be plotted)
      ;***************************************************
      if (.not. isvar("var"))then
      
      	 
         var = "all"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --height_level-- HEIGHT LEVELS 
      ;
      ; defines if all heights or selected heights will be output; a 1D array with up to 10 elements
      ; from 0 to 9 must be indicated, e.g.: height_level=(/0,3,7/) (level 0, 3 and 7 as in input file
      ; will be output)
      ;
      ; data type: integer array
      ;
      ; default:   (/-1/) (all levels will be output)
      ;***************************************************
      if (.not. isvar("height_level"))then
      
      	 
         height_level = (/-1/)
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --sort-- TYPE OF SORTING 
      ;
      ; defines if all heights [="height"] or all timesteps [="time"] will be merged in one plot
      ;
      ; data type: string
      ;
      ; default:   "height" 
      ;***************************************************
      if (.not. isvar("sort"))then
      
      	 
         sort = "height"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --start_time_step-- FIRST TIME STEP
      ;
      ; first time step of plot; you don't have to specify a precise time value from the input file,
      ; it will be rounded to the next existent time step
      ;
      ; data type: double; dimension: [hour]
      ;
      ; default:   -1.d (first available time step)
      ;***************************************************
      if (.not. isvar("start_time_step"))then
      
      	 
         start_time_step = -1.d
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --end_time_step-- LAST TIME STEP
      ;
      ; last time step of plot; you don't have to specify a precise time value from the input file,
      ; it will be rounded to the next existent time step
      ;
      ; data type: double; dimension: [hour]
      ;
      ; default:   -1.d (last available time step)
      ;***************************************************
      if (.not. isvar("end_time_step"))then
      
      	 
         end_time_step = -1.d
	 
	 
      end if    
      ;***************************************************
      ; OPTIONAL --black-- BLACK OR COLOR LINES
      ;
      ; colored [=0] or black and white [=1] plots
      ;
      ; data type: integer
      ;
      ; default:   0
      ;***************************************************
      if (.not. isvar("black"))then 
      
           
         black = 0
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --dash-- DASHED LINES 
      ;
      ; use of different line patterns [=1] or continous lines [=0]
      ;
      ; data type: integer
      ;
      ; default:   0
      ;***************************************************
      if (.not. isvar("dash"))then   
      
         
         dash = 0
	 
	 
      end if 
      ;***************************************************
      ; OPTIONAL --logx-- LOGARITHMIC SCALE X-AXIS
      ;
      ; logarithmic scale for x-axis will be switched on [=1] or off [=0]
      ;
      ; data type: integer
      ;
      ; default:   1
      ;***************************************************
      if (.not. isvar("logx"))then   
      
         
         logx = 1
	 
	 
      end if	 
      ;***************************************************
      ; OPTIONAL --logy-- LOGARITHMIC SCALE Y-AXIS 
      ;
      ; logarithmic scale for y-axis will be switched on [=1] or off [=0]
      ;
      ; data type: integer
      ;
      ; default:   1
      ;***************************************************
      if (.not. isvar("logy"))then   
      
         
         logy = 1
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --normx-- NORMALISE X-AXIS 
      ;
      ; value for normalising the x-axis
      ;
      ; data type: float
      ;
      ; default:   1. (no normalising)
      ;***************************************************
      if (.not. isvar("normx"))then   
      
         
         normx = 1.
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --normy-- NORMALISE Y-AXIS 
      ;
      ; value for normalising the y-axis
      ;
      ; data type: float
      ;
      ; default:   1. (no normalising)
      ;***************************************************
      if (.not. isvar("normy"))then     
      
       
         normy = 1.
	 
	 
      end if 	 
      ;***************************************************
     
   end if
   
   
   ;******************************************************
   ; parameters used by TIMESERIES
   ;******************************************************

   if (timeseries .EQ. 1) then
   
      ;***************************************************
      ; REQUIRED --file_1-- INPUT FILE
      ;
      ; input file produced by PALM; please declare path and name
      ;
      ; data type: string
      ;
      ; default:   "File in" 
      ;***************************************************
      if (.not. isvar("file_1"))then  
      
          
         file_1 = "File in"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --format_out-- OUTPUT FORMAT
      ;
      ; supported file formats: x11, pdf, ps, eps, epsi or ncgm 
      ;
      ; data type: string
      ;
      ; default:   "x11" 
      ;***************************************************
      if (.not. isvar("format_out"))then	 
      
      
         format_out = "x11"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --file_out-- OUTPUT FILE
      ;
      ; please declare path and name 
      ;
      ; data type: string
      ;
      ; default:   "~/test" 
      ;***************************************************
      if (.not. isvar("file_out"))then	
      
       
         file_out = "~/test_ts"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --no_columns-- NUMBER OF ROWS
      ;
      ; number of plots in one row 
      ;
      ; data type: integer
      ;
      ; default:   1
      ;***************************************************
      if (.not. isvar("no_columns"))then	
      
       
         no_columns = 1
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --no_lines-- NUMBER OF COLUMNS
      ;
      ; number of plots in one column 
      ;
      ; data type: integer
      ;
      ; default:   2 
      ;***************************************************
      if (.not. isvar("no_lines"))then
      
      	 
         no_lines = 2
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --var-- OUTPUT VARIABLES
      ;
      ; names of output variables; please inidcate them with one comma before and after each variable;
      ; e.g.: var=",u,v,w," (the windcomponents u, v and w will be plotted)
      ;
      ; data type: string 
      ;
      ; default:   "all" (all available variables will be plotted)
      ;***************************************************
      if (.not. isvar("var"))then
      
      	 
         var = "all"
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --start_time_step-- FIRST TIME STEP
      ;
      ; first time step of plot; you don't have to specify a precise time value from the input file,
      ; it will be rounded to the next existent time step
      ;
      ; data type: double; dimension: [hour]
      ;
      ; default:   -1.d (first available time step)
      ;***************************************************
      if (.not. isvar("start_time_step"))then
      
      	 
         start_time_step = -1.d
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --end_time_step-- LAST TIME STEP
      ;
      ; last time step of plot; you don't have to specify a precise time value from the input file,
      ; it will be rounded to the next existent time step
      ;
      ; data type: double; dimension: [hour]
      ;
      ; default:   -1.d (last available time step)
      ;***************************************************
      if (.not. isvar("end_time_step"))then
      
      	 
         end_time_step = -1.d
	 
	 
      end if 	 
      ;***************************************************
      ; OPTIONAL --over-- OVERLAYING
      ;
      ; predefined overlaying of standard variables will be switched on [=1] or off [=0];
      ; this feature cannot be used with statistic regions
      ;
      ; data type: integer
      ;
      ; default:   0 
      ;***************************************************
      if (.not. isvar("over"))then
      
      	 
         over = 0
	 
	 
      end if 
      ;***************************************************

   end if

	 
;*********************************************************	 
   
end
